Bug 822713 - Tags available in JON 3.1.0 beta1 build.
Tags available in JON 3.1.0 beta1 build.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
unspecified
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: JON 3.1.0
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-17 17:11 EDT by Simeon Pinder
Modified: 2013-09-03 11:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:07:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2012-05-17 17:11:24 EDT
Description of problem:
Using Beta1 build of JON 3.1.0 the ui elements for Tags appear to be in place again. 

Version-Release number of selected component (if applicable):


How reproducible:
All the time.

Steps to Reproduce:
1. Install JON 3.1.0.BETA1, log into and browse the Reports page. 
2. Tags is available.
3.
  
Actual results:
Tags is available.

Expected results:
No Tags should be available in the UI.

Additional info:
This is most likely because of a missing build parameter to the RHQ and JON brew builds.
Comment 1 Simeon Pinder 2012-05-18 08:13:43 EDT
Looked a little bit more into this and it looks like it might just be the "brew=true" tags for the JON build part.  If this is the brew build for JON3.1.BETA1(https://brewweb.devel.redhat.com//taskinfo?taskID=4408991), then it's seems to differ from the formal JON 3.0.1.GA build(https://brewweb.devel.redhat.com//taskinfo?taskID=4119298) in the explicit "true" value for the brew parameter. 

If it's not the above then the maven profile activation mechanism must have changed around the brew parameter.
Comment 2 John Sanda 2012-05-21 16:05:27 EDT
I've added support in coregui for enabling/disabling tags from the build. Tags are disabled in the UI by building coregui with the -Dbrew system property. The fix has been pushed to the release/jon3.1.x branch

commit hash: 4ec8b6cb5d
Comment 3 Sunil Kondkar 2012-06-05 05:35:58 EDT
Verified on Version: 3.1.0.CR2 Build Number: 05c820d:aaa5a79

Tags feature is not available in 3.1.0.CR2 UI. Verified on Reports page, resource summary details section and Dashboard and resource portlets views. Also verified that CLI does not have tag interface (TagManager).
Comment 4 Heiko W. Rupp 2013-09-03 11:07:44 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.